# class PasswordDialog | A dialog for requesting a login and a password from the end user. More...
Full name | `KIO::PasswordDialog`
Definition | `#include <passdlg.h>`
Inherits | KDialog (kdeui) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- PasswordDialog ( QWidget* parent=0, const char* name=0, WFlags wflags=0, bool modal=true, bool enableKeep=false )
- PasswordDialog ( const QString& prompt, const QString& user, bool enableKeep = false, bool modal=true, QWidget* parent=0, const char* name=0, WFlags wflags=0 )
- PasswordDialog ( QWidget* parent, const char* name, bool modal, WFlags wflags, const QString& head, const QString& user, const QString& pass )
- ~PasswordDialog ()
- void setPrompt ( const QString& prompt )
- void addCommentLine ( const QString& label, const QString comment )
- QString password () const
- QString username () const
- QString user ()
- QString password ()
- bool keepPassword () const
- void setUserReadOnly ( bool readOnly )
- void setEnableUserField ( bool enable, bool=false )

#### Public Static Methods

- static int getNameAndPassword ( QString& user, QString& pass, bool* keep, const QString& prompt = QString::null, bool readOnly = false, const QString& caption = QString::null, const QString& comment = QString::null, const QString& label = QString::null )

## Detailed Description

A dialog for requesting a login and a password from the end user.

KIO-Slave authors are encouraged to use SlaveBase::openPassDlg instead of directly instantiating this dialog.

PasswordDialog ( QWidget* parent=0, const char* name=0, WFlags wflags=0, bool modal=true, bool enableKeep=false ) | ### PasswordDialog

Create a password dialog.

Parameters:

parent | the parent widget (default:NULL).
name | the dialog name (default:NULL).
wfags | window flags.
modal | if true, the dialog will be modal(default:true).
enableKeep | shows or hides the keep password check box.

PasswordDialog ( const QString& prompt, const QString& user, bool enableKeep = false, bool modal=true, QWidget* parent=0, const char* name=0, WFlags wflags=0 ) | ### PasswordDialog

Create a password dialog.

Parameters:

prompt | instructional text to be shown.
user | username, if known initially.
enableKeep | if true, makes password persistent until KDE is shutdown.
modal | if true, the dialog will be modal (default:true).
parent | the parent widget (default:NULL).
name | the dialog name (default:NULL).
wfags | window flags.

PasswordDialog ( QWidget* parent, const char* name, bool modal, WFlags wflags, const QString& head, const QString& user, const QString& pass ) | ### PasswordDialog

IMPORTANT: This function is added for binary compatability with the previous password dialog and as such should be avoided!

Parameters:

parent | the parent widget
name | the dialog name
modal | if true, the dialog will be modal
wflags | window flags, passed to QDialog
head | the text to show in the dialog, on top of the two fields
user | user name, if known initially
pass | password, if known initially

~PasswordDialog () | ### ~PasswordDialog

Destructor

void setPrompt ( const QString& prompt ) | ### setPrompt

Sets the prompt to show to the user.

void addCommentLine ( const QString& label, const QString comment ) | ### addCommentLine

Adds a comment line to the dialog.

This function allows you to add one additional comment line to this widget. Calling this fucntion after a comment has already been added will not have any effect.

Parameters:

label | label for comment (ex:"Command:")
comment | the actual comment text.

QString password () | ### password

[const]

Returns the password entered by the user.

QString username () | ### username

[const]

Returns the username entered by the user.

QString user () | ### user

QString password () | ### password

bool keepPassword () | ### keepPassword

[const]

Determines whether supplied authorization should persist even after the application has been closed.

void setUserReadOnly ( bool readOnly ) | ### setUserReadOnly

Sets the username field read-only and sets the focus to the password field.

Parameters:

readOnly |

void setEnableUserField ( bool enable, bool=false ) | ### setEnableUserField

int getNameAndPassword ( QString& user, QString& pass, bool* keep, const QString& prompt = QString::null, bool readOnly = false, const QString& caption = QString::null, const QString& comment = QString::null, const QString& label = QString::null ) | ### getNameAndPassword

[static]

A convienence static method for obtaining authorization information from the end user.

Parameters:

user | username
pass | password
keep | pointer to flag that indicates
prompt | text to display to user.
readOnly | make the username field read-only.
caption | set the title bar to given text.
comment | extra comment to display to user.
label | optinal label for extra comment.

Returns: Accept/Reject based on the user choice.

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:40:40 2001, using kdoc 2.0a53.